Loading...
Searching...
No Matches
laset_band: Set band of matrix to constants
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A_{ij} =\) diag if \(i=j\); \(A_{ij} =\) offdiag otherwise. More...

## Functions

void | magmablas_claset_band (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t k, magmaFloatComplex offdiag, magmaFloatComplex diag, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| CLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.
void | magmablas_dlaset_band (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t k, double offdiag, double diag, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue)
| DLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.
void | magmablas_slaset_band (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t k, float offdiag, float diag, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue)
| SLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.
void | magmablas_zlaset_band (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t k, magmaDoubleComplex offdiag, magmaDoubleComplex diag, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| ZLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.

## Detailed Description

\(A_{ij} =\) diag if \(i=j\); \(A_{ij} =\) offdiag otherwise.

## Function Documentation

## magmablas_claset_band()

void magmablas_claset_band | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k,
|  | magmaFloatComplex | offdiag,
|  | magmaFloatComplex | diag,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

CLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | k | INTEGER The number of diagonals to set, including the main diagonal. K >= 0. Currently, K <= 1024 due to CUDA restrictions (max. number of threads per block).
  [in] | offdiag | COMPLEX Off-diagonal elements in the band are set to OFFDIAG.
  [in] | diag | COMPLEX All the main diagonal elements are set to DIAG.
  [in] | dA | COMPLEX array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n where i != j, abs(i-j) < k; and A(i,i) = BETA, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Stream to execute CLASET in.

## magmablas_dlaset_band()

void magmablas_dlaset_band | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k,
|  | double | offdiag,
|  | double | diag,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

DLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | k | INTEGER The number of diagonals to set, including the main diagonal. K >= 0. Currently, K <= 1024 due to CUDA restrictions (max. number of threads per block).
  [in] | offdiag | DOUBLE PRECISION Off-diagonal elements in the band are set to OFFDIAG.
  [in] | diag | DOUBLE PRECISION All the main diagonal elements are set to DIAG.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n where i != j, abs(i-j) < k; and A(i,i) = BETA, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Stream to execute DLASET in.

## magmablas_slaset_band()

void magmablas_slaset_band | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k,
|  | float | offdiag,
|  | float | diag,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

SLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | k | INTEGER The number of diagonals to set, including the main diagonal. K >= 0. Currently, K <= 1024 due to CUDA restrictions (max. number of threads per block).
  [in] | offdiag | REAL Off-diagonal elements in the band are set to OFFDIAG.
  [in] | diag | REAL All the main diagonal elements are set to DIAG.
  [in] | dA | REAL array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n where i != j, abs(i-j) < k; and A(i,i) = BETA, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Stream to execute SLASET in.

## magmablas_zlaset_band()

void magmablas_zlaset_band | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k,
|  | magmaDoubleComplex | offdiag,
|  | magmaDoubleComplex | diag,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

ZLASET_BAND initializes the main diagonal of dA to DIAG, and the K-1 sub- or super-diagonals to OFFDIAG.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | k | INTEGER The number of diagonals to set, including the main diagonal. K >= 0. Currently, K <= 1024 due to CUDA restrictions (max. number of threads per block).
  [in] | offdiag | COMPLEX_16 Off-diagonal elements in the band are set to OFFDIAG.
  [in] | diag | COMPLEX_16 All the main diagonal elements are set to DIAG.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n where i != j, abs(i-j) < k; and A(i,i) = BETA, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Stream to execute ZLASET in.